#include <stdio.h>

void f(int *x) {
	int i;
	for (i = 0; i < 10000; i++)
		(*x)++;
	(*x) *= 2;
}

void g(int *y) {
	return f(y);
}

int main(void) {
	int b = 0;
	int a = 0;
	int c = 0;
	g(&a);
	printf("%d\n", a);
	return 0;
}
